class User < ActiveRecord::Base
  attr_accessible :email, :first_name, :last_name
  has_many :articles

  validates_presence_of :first_name, :last_name

  validates :email,
    presence:  true,
    uniqueness: true,
    format: { with: /^([^@\s]+)@((?:[-a-z0-9]+\.)+[a-z]{2,})$/i }
end
